%{!?dist: %define dist .slc5}
Name: linuxsoft-selinux
Version: 0.2
Release: 2%{?dist}
Summary: SELinux policy extensions for linuxsoft machines.
Source: %{name}-%{version}.tar.gz
Group: Applications/System
License: GPL
Vendor: CERN
Packager: Linux.Support@cern.ch
URL: http://cern.ch/linux/

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
BuildRequires: checkpolicy, policycoreutils

Requires: policycoreutils, selinux-policy-targeted

%description 
SELinux policy extensions for running linuxsoft machines in enforcing mode.

%define policy_dir /usr/share/selinux/targeted

%prep
%setup -q

%build
# vsftpd
checkmodule -M -m -o lxsoftvsftpd.mod lxsoftvsftpd.te
semodule_package -o lxsoftvsftpd.pp -m lxsoftvsftpd.mod
# rsyncd
checkmodule -M -m -o lxsoftrsyncd.mod lxsoftrsyncd.te
semodule_package -o lxsoftrsyncd.pp -m lxsoftrsyncd.mod

%install
mkdir -p $RPM_BUILD_ROOT/
mkdir -p ${RPM_BUILD_ROOT}%{policy_dir}
cp lxsoftvsftpd.pp ${RPM_BUILD_ROOT}%{policy_dir}
cp lxsoftrsyncd.pp ${RPM_BUILD_ROOT}%{policy_dir}

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{policy_dir}/lxsoftvsftpd.pp
%{policy_dir}/lxsoftrsyncd.pp

%post
# relabeling is not done in postinstall because the tree is HUGE
semanage fcontext -a -t httpd_sys_content_t /data
semodule -i %{policy_dir}/lxsoftvsftpd.pp
semodule -i %{policy_dir}/lxsoftrsyncd.pp

%changelog
* Mon Aug  9 2010  KELEMEN Peter <Peter.Kelemen@cern.ch> - 0.2-1
- added rsyncd(8) policy

* Thu Jun 22 2010  KELEMEN Peter <Peter.Kelemen@cern.ch> - 0.1-1
- initial release
